package com.mvc.model;

import java.util.ArrayList;
import java.util.List;

public class DeviceAlarmModel {
    private Integer id;

    private String deviceSn;

    private String deviceName;

    private String stationCode;

    private String stationName;

    private String alarmType;//1 连续三天没有收到数据 2当天没有收到数据 3当天不够三条,有16点  4当天不够三条,没有16点  5三个值不一致   //6. ,7,8,

    private String aireadId;

    private String alarmTime;

    private int revnum;
    private int sixteennum;

    private List<String> alarmids=new ArrayList<>();

    private Integer page;//页码

    private Integer rows;//每页条数

    private String unitCode;//用水户单位代码(功能要开放给用户,用来过滤其能看到的数据) 2022-09-30 guozhao

    private List<String> mapping_sn=new ArrayList<>();//当天数据对应的sn数量集合

    private String unitName;//用水户单位名称 2024-05-21 guozhao

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getStationCode() {
        return stationCode;
    }

    public void setStationCode(String stationCode) {
        this.stationCode = stationCode;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType;
    }

    public String getAireadId() {
        return aireadId;
    }

    public void setAireadId(String aireadId) {
        this.aireadId = aireadId;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public int getRevnum() {
        return revnum;
    }

    public void setRevnum(int revnum) {
        this.revnum = revnum;
    }

    public int getSixteennum() {
        return sixteennum;
    }

    public void setSixteennum(int sixteennum) {
        this.sixteennum = sixteennum;
    }

    public List<String> getAlarmids() {
        return alarmids;
    }

    public void setAlarmids(List<String> alarmids) {
        this.alarmids = alarmids;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public List<String> getMapping_sn() {
        return mapping_sn;
    }

    public void setMapping_sn(List<String> mapping_sn) {
        this.mapping_sn = mapping_sn;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }
}
